Loading...
Searching...
No Matches
reference_counted_message_pool.h File Reference
`#include "platform.h"`
`#include "atomic.h"`
`#include "error_handler.h"`
`#include "imemory_block_allocator.h"`
`#include "ireference_counted_message_pool.h"`
`#include "largest.h"`
`#include "memory.h"`
`#include "message.h"`
`#include "reference_counted_message.h"`
`#include "static_assert.h"`
`#include "utility.h"`

Go to the source code of this file.

## Classes

class | etl::reference_counted_message_pool_exception
| Exception type for etl::reference_counted_message_pool. More...
class | etl::reference_counted_message_pool_allocation_failure
| Exception if the allocation failed. More...
class | etl::reference_counted_message_pool_release_failure
| Exception if the release failed. More...
class | etl::reference_counted_message_pool< TCounter >
| A pool for allocating reference counted messages. More...
struct | etl::reference_counted_message_pool< TCounter >::pool_message_parameters< TMessage1, TMessage2, TMessage3, TMessage4, TMessage5, TMessage6, TMessage7, TMessage8 >

## Namespaces

namespace | etl

## Variables

template<typename TMessage1, typename TMessage2, typename TMessage3, typename TMessage4, typename TMessage5, typename TMessage6, typename TMessage7, typename TMessage8>
const size_t | etl::reference_counted_message_pool< TCounter >::pool_message_parameters< TMessage1, TMessage2, TMessage3, TMessage4, TMessage5, TMessage6, TMessage7, TMessage8 >::max_size
template<typename TMessage1, typename TMessage2, typename TMessage3, typename TMessage4, typename TMessage5, typename TMessage6, typename TMessage7, typename TMessage8>
const size_t | etl::reference_counted_message_pool< TCounter >::pool_message_parameters< TMessage1, TMessage2, TMessage3, TMessage4, TMessage5, TMessage6, TMessage7, TMessage8 >::max_alignment